package com.ruoyi.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 患者对象 bus_patient
 * 
 * @author zsl
 * @date 2022-06-08
 */
public class BusPatient extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 住院号 */
    @Excel(name = "住院号")
    private String code;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 性别,1男2女 */
    @Excel(name = "性别,1男2女")
    private Integer gender;

    /** 身高 */
    @Excel(name = "身高")
    private BigDecimal height;

    /** 年龄 */
    @Excel(name = "年龄")
    private Long age;

    /** 体重 */
    @Excel(name = "体重")
    private Long weight;

    /** 来源,1门诊，2急诊 */
    @Excel(name = "来源,1门诊，2急诊")
    private Integer source;

    /** 住址 */
    @Excel(name = "住址")
    private String address;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 亲属姓名 */
    @Excel(name = "亲属姓名")
    private String relationName;

    /** 亲属电话 */
    @Excel(name = "亲属电话")
    private String relationPhone;

    /** 死亡日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "死亡日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dieTime;

    /** 删除标志（0代表存在 1代表删除） */
    @Excel(name = "删除标志", readConverterExp = "0=代表存在,1=代表删除")
    private Boolean isDelete;

    /** 状态（0已签到 1正在治疗 2 已下机） */
    @Excel(name = "状态", readConverterExp = "0=已签到,1=正在治疗,2=,已=下机")
    private Integer status;


    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setGender(Integer gender) 
    {
        this.gender = gender;
    }

    public Integer getGender() 
    {
        return gender;
    }
    public void setHeight(BigDecimal height) 
    {
        this.height = height;
    }

    public BigDecimal getHeight() 
    {
        return height;
    }
    public void setSource(Integer source) 
    {
        this.source = source;
    }

    public Integer getSource() 
    {
        return source;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setRelationName(String relationName) 
    {
        this.relationName = relationName;
    }

    public String getRelationName() 
    {
        return relationName;
    }
    public void setRelationPhone(String relationPhone) 
    {
        this.relationPhone = relationPhone;
    }

    public String getRelationPhone() 
    {
        return relationPhone;
    }
    public void setDieTime(Date dieTime) 
    {
        this.dieTime = dieTime;
    }

    public Date getDieTime() 
    {
        return dieTime;
    }
    public void setIsDelete(Boolean isDelete) 
    {
        this.isDelete = isDelete;
    }

    public Boolean getIsDelete() 
    {
        return isDelete;
    }
    public void setAge(Long age) 
    {
        this.age = age;
    }

    public Long getAge() 
    {
        return age;
    }
    public void setWeight(Long weight) 
    {
        this.weight = weight;
    }

    public Long getWeight() 
    {
        return weight;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("code", getCode())
                .append("name", getName())
                .append("gender", getGender())
                .append("height", getHeight())
                .append("age", getAge())
                .append("weight", getWeight())
                .append("source", getSource())
                .append("address", getAddress())
                .append("createTime", getCreateTime())
                .append("phone", getPhone())
                .append("relationName", getRelationName())
                .append("relationPhone", getRelationPhone())
                .append("dieTime", getDieTime())
                .append("isDelete", getIsDelete())
                .append("status", getStatus())
                .toString();
    }
}
